PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR > Struct Template Reference

`#include <plask/mesh/rectangular_masked2d.hpp>`

Inheritance diagram for plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >:
[legend]
Collaboration diagram for plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >:
[legend]

## Public Member Functions
| BoundaryNodeSetImpl (const RectangularMaskedMeshBase< 2 > &mesh, Vec< 2, std::size_t > index, std::size_t endIndex)
| BoundaryNodeSetImpl (const RectangularMaskedMeshBase< 2 > &mesh, std::size_t index0, std::size_t index1, std::size_t endIndex)
bool | contains (std::size_t mesh_index) const override
| Check if boundary contains point with given index.
const_iterator | begin () const override
| Get begin iterator over boundary points.
const_iterator | end () const override
| Get end iterator over boundary points.
Public Member Functions inherited from plask::BoundaryNodeSetWithMeshImpl< RectangularMaskedMeshBase< 2 > >
| BoundaryNodeSetWithMeshImpl (const RectangularMaskedMeshBase< 2 > &mesh)
| Construct object which holds reference to given `mesh`.
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual bool | empty () const
| Check if this represents empty set of indexes.
virtual std::size_t | size () const
| Get number of points in this boundary.

## Public Attributes
Vec< 2, std::size_t > | index
| first index
std::size_t | endIndex
| past the last index of change direction
Public Attributes inherited from plask::BoundaryNodeSetWithMeshImpl< RectangularMaskedMeshBase< 2 > >
const RectangularMaskedMeshBase< 2 > & | mesh
| Held mesh.

## Additional Inherited Members
Public Types inherited from plask::BoundaryNodeSetWithMeshImpl< RectangularMaskedMeshBase< 2 > >
typedef BoundaryNodeSetImpl::const_iterator | const_iterator
| iterator over indexes of mesh
typedef BoundaryNodeSetImpl::iterator | iterator
| iterator over indexes of mesh
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Detailed Description

template<int CHANGE_DIR>
struct plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >

Definition at line 575 of file rectangular_masked2d.hpp.

## Constructor & Destructor Documentation

## ◆ BoundaryNodeSetImpl() [1/2]

template<int CHANGE_DIR>

plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::BoundaryNodeSetImpl | ( | const RectangularMaskedMeshBase< 2 > & | mesh,
|  | Vec< 2, std::size_t > | index,
|  | std::size_t | endIndex
| ) |  |
| inline

Definition at line 585 of file rectangular_masked2d.hpp.

## ◆ BoundaryNodeSetImpl() [2/2]

template<int CHANGE_DIR>

plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::BoundaryNodeSetImpl | ( | const RectangularMaskedMeshBase< 2 > & | mesh,
|  | std::size_t | index0,
|  | std::size_t | index1,
|  | std::size_t | endIndex
| ) |  |
| inline

Definition at line 588 of file rectangular_masked2d.hpp.

## Member Function Documentation

## ◆ begin()

template<int CHANGE_DIR>

const_iterator plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::begin | ( |  | ) | const
| inline override virtual

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 602 of file rectangular_masked2d.hpp.

## ◆ contains()

template<int CHANGE_DIR>

bool plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::contains | ( | std::size_t | mesh_index | ) | const
| inline override virtual

Check if boundary contains point with given index.

Parameters

  mesh_index | valid index of point in `mesh`

Returns
  `true` only if point with index `mesh_index` in `mesh` lies on boundary

Implements plask::BoundaryNodeSetImpl.

Definition at line 591 of file rectangular_masked2d.hpp.

## ◆ end()

template<int CHANGE_DIR>

const_iterator plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::end | ( |  | ) | const
| inline override virtual

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 606 of file rectangular_masked2d.hpp.

## Member Data Documentation

## ◆ endIndex

template<int CHANGE_DIR>

std::size_t plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::endIndex

past the last index of change direction

Definition at line 583 of file rectangular_masked2d.hpp.

## ◆ index

template<int CHANGE_DIR>

Vec<2, std::size_t> plask::RectangularMaskedMesh2D::BoundaryNodeSetImpl< CHANGE_DIR >::index

first index

Definition at line 580 of file rectangular_masked2d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/rectangular_masked2d.hpp